package com.backendsys.service.Ai;

import com.backendsys.entity.Ai.AiChatHistoryDTO;

import java.util.Map;

public interface AiChatHistoryService {
    Map<String, Object> queryAiChatHistoryList(Integer pageNum, Integer pageSize, AiChatHistoryDTO aiChatHistoryDTO);
    Map<String, Object> queryAiChatHistoryByCode(String history_code);

    Map<String, Object> insertAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
    // Map<String, Object> updateAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
    Map<String, Object> deleteAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
}
